image: python:3.8-buster

before_script:
    - pip install mkdocs mkdocs-material


pages:
    stage: deploy
    script:
    - mkdocs build --strict --verbose
    - mv site public
    artifacts:
        paths:
        - public
    rules:
        - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH